package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller"
	"hongze/hongze_yb/controller/price_driven"
	"hongze/hongze_yb/middleware"
)

func InitPriceDriven(r *gin.Engine) {
	rGroup := r.Group("api/price_driven").Use(middleware.Token(), middleware.CheckBaseAuth())
	rGroup.GET("/tab", controller.GetVarietyTagTree)
	rGroup.GET("/detail", price_driven.PriceDrivenDetail)
	rGroup.POST("/visit_log", price_driven.PriceDrivenVisitLog)
}